#ifndef MARS_MGeomApply
#define MARS_MGeomApply

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MParList;
class MGeomCam;

class MGeomApply : public MTask
{
private:
    const MGeomCam *fGeom;
    TString   fGeomName;

    Int_t  PreProcess(MParList *plist);
    Bool_t ReInit(MParList *pList);

public:
    MGeomApply(const char *name=NULL, const char *title=NULL);
    MGeomApply(const TString name, const char *name=NULL, const char *title=NULL);

    ClassDef(MGeomApply, 0) // Task to apply geometry settings
};
    
#endif

